Back to Kuaishou
TikHub·Kuaishou

Kuaishou App: Comprehensive search

/api/v1/kuaishou/app/search_comprehensivesync$0.015 / call

Kuaishou comprehensive search API, supports searching videos, users, etc., and provides multi-dimensional filtering. (TikHub · Kuaishou App)

Input
  • keywordstringrequired

    Search keyword

  • pcursorstring

    Pagination cursor

  • sort_typestring

    : all( ), newest( ), mostlikes( ) (default "all")

    all, newest, most_likes

  • publish_timestring

    : all( ), oneday( ), oneweek( ), onemonth( ) (default "all")

    all, one_day, one_week, one_month

  • durationstring

    : all( ), under1min(1 ), 1to5min(1-5 ), over5min(5 ) (default "all")

    all, under_1_min, 1_to_5_min, over_5_min

Run it

curl -s https://sooma.dev/v1/run \ -H "Authorization: Bearer $SOOMA_API_KEY" \ -H "Content-Type: application/json" \ -d '{"provider":"tikhub","endpoint":"/api/v1/kuaishou/app/search_comprehensive","input":{}}'

Or ask your agent: it will call inspect for this schema and run it over MCP.